**Cette page a été importée automatiquement de notre ancien wiki mais n'a pas encore été révisée.**


## SpamAssassin


### Utilisation avec SpamPD

Il est courant d'utiliser SpamAssassin par l'intermédiaire d'Amavisd. Cependant si pour diverses raisons on ne veut pas s'emcombrer d'Amavisd, il est possible d'utiliser un proxy SMTP, Spam Proxy Daemon (SpamPD) qui sera appelé par Postfix comme « content-filter ».

#### Installation

~~~
aptitude install spampd
~~~

#### Configuration de SpamPD

Fichier _/etc/default/spampd_ :
~~~
STARTSPAMPD=1
~~~

La configuration de SpamAssassin sera utilisé, mais on peut surcharger celle-ci en spécifiant un fichier de conf spécifique à SpamPD :
~~~
ADDOPTS="--config=/etc/spampd.conf"
~~~

#### Intégration avec Postfix

Fichier _/etc/postfix/main.cf_ :
~~~
content_filter =scan:[127.0.0.1]:10025
~~~

Fichier _/etc/postfix/master.cf_ :
~~~
scan               unix    -        -        y        -        10        smtp
localhost:10026    inet    n        -        y        -        10        smtpd
  -o content_filter=
  -o local_recipient_maps=
  -o relay_recipient_maps=
  -o myhostname=filter.mynetwork.local
  -o smtpd_helo_restrictions=
  -o smtpd_client_restrictions=
  -o smtpd_sender_restrictions=
  -o smtpd_recipient_restrictions=permit_mynetworks,reject
  -o mynetworks=127.0.0.0/8
~~~